Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.adaptor.http
Class DefaultProcessor

    java.lang.Object
      mx4j.tools.adaptor.http.DefaultProcessor

All Implemented Interfaces:
  ProcessorMBean

public class DefaultProcessor
extends java.lang.Object
implements ProcessorMBean

DefaultPostProcessor doesn't alter the result, just publising the xml file

Version:
  $Revision: 1.4 $

Constructor Summary
`DefaultProcessor()`

Method Summary
`java.lang.String` | `getName()`
`protected java.lang.String` | `normalize(java.lang.String s)` Normalizes the given string.
`java.lang.String` | `notFoundElement(java.lang.String path, HttpOutputStream out, HttpInputStream in)` Let the processor load internally a not found element.
`java.lang.String` | `preProcess(java.lang.String path)` Preprocess a path and return a replacement path.
`protected void` | `print(java.io.PrintWriter out, org.w3c.dom.Node node)`
`protected org.w3c.dom.Attr[]` | `sortAttributes(org.w3c.dom.NamedNodeMap attrs)` Returns a sorted list of attributes.
`void` | `writeError(HttpOutputStream out, HttpInputStream in, java.lang.Exception e)` The method will process the result exception and produce output.
`void` | `writeResponse(HttpOutputStream out, HttpInputStream in, org.w3c.dom.Document document)` The method will process the result string and produce an output.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultProcessor

    public DefaultProcessor()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ProcessorMBean`

### writeResponse

    public void writeResponse(HttpOutputStream out,
                              HttpInputStream in,
                              org.w3c.dom.Document document)
                       throws java.io.IOException

  Description copied from interface: `ProcessorMBean`
  The method will process the result string and produce an output. The implementor is also responsible to set the mime type, response code and send the headers before answering as follow: `out.setCode(HttpConstants.STATUS_OKAY); out.setHeader("Content-type", "text/html"); out.sendHeaders(); out.write("some text");`

  Specified by:
    `writeResponse` in interface `ProcessorMBean`
  Parameters:
    `out` - The output stream
    `in` - The input stream
    `document` - A document containing the data
  Throws:
    `java.io.IOException`

### writeError

    public void writeError(HttpOutputStream out,
                           HttpInputStream in,
                           java.lang.Exception e)
                    throws java.io.IOException

  Description copied from interface: `ProcessorMBean`
  The method will process the result exception and produce output. The implementor is also responsible to set the mime type, response code and send the headers before answering as follow: `out.setCode(HttpConstants.STATUS_OKAY); out.setHeader("Content-type", "text/html"); out.sendHeaders(); out.write("some text");`

  Specified by:
    `writeError` in interface `ProcessorMBean`
  Parameters:
    `out` - The output stream
    `in` - The input stream
    `e` - The exception to be reported
  Throws:
    `java.io.IOException`

### preProcess

    public java.lang.String preProcess(java.lang.String path)

  Description copied from interface: `ProcessorMBean`
  Preprocess a path and return a replacement path. For instance the / path could be replaced by the server path

  Specified by:
    `preProcess` in interface `ProcessorMBean`
  Parameters:
    `path` - The original path
  Returns:
    the replacement path. If not modification the path param should be returned

### notFoundElement

    public java.lang.String notFoundElement(java.lang.String path,
                                            HttpOutputStream out,
                                            HttpInputStream in)
                                     throws java.io.IOException,
                                            HttpException

  Description copied from interface: `ProcessorMBean`
  Let the processor load internally a not found element. This can be used to load images, stylesheets and so on. If return is not null, the path is processed

  Specified by:
    `notFoundElement` in interface `ProcessorMBean`
  Parameters:
    `path` - The request element
    `out` - The output stream
    `in` - The input stream
  Throws:
    `java.io.IOException`
    `HttpException`

### print

    protected void print(java.io.PrintWriter out,
                         org.w3c.dom.Node node)

### sortAttributes

    protected org.w3c.dom.Attr[] sortAttributes(org.w3c.dom.NamedNodeMap attrs)

  Returns a sorted list of attributes.

  Parameters:
    `attrs` - Description of Parameter
  Returns:
    Description of the Returned Value

### normalize

    protected java.lang.String normalize(java.lang.String s)

  Normalizes the given string.

  Parameters:
    `s` - Description of Parameter
  Returns:
    Description of the Returned Value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.